function [out] = LamofA0(a,t0,t1)
%Lamda0(a) function for building hours profile for Iceland sim
%See online appendix for derivation
    if t1<=.5
       out = t1-a;
    elseif t0>=.5
       out = a-t0;
    else
        if((.5-t0)<(t1-.5))
            ind1 = (a<1-t0);
            ind2 = (a>=1-t0);
            out = 2*abs(a-.5).*ind1+(a-t0).*ind2;
        else
            ind1= a>1-t1;
            ind2= a<=1-t1;
            out = 2*abs(a-.5).*ind1+(t1-a).*ind2;
    end
end

