function [out] = LamofA(a,tbar)
%Lamda(a) function for building hours profile
%See online appendix for derivation
    if tbar>=.5
       out = a-tbar;
    else
       ind1 = a<1-tbar;
       ind2 = a>=1-tbar;
       out = 2*abs(a-.5).*ind1+(a-tbar).*ind2;
    end
end

